Subject: Re: bug#39960: 28.0.50; Incompatible change to sql-add-product in Emacs 27

From: Philipp Stephani <[email-masked]>
Date: Sun, 9 Aug 2020 11:14:24 +0200

Am So., 9. Aug. 2020 um 04:14 Uhr schrieb Michael Mauger
<[email-masked]>:
>
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Tuesday, July 28, 2020 4:06 PM, Philipp Stephani <[email-masked]> wrote:
>
> > Am Mo., 23. März 2020 um 02:20 Uhr schrieb Michael Mauger
> > [email-masked]:
> >
> > > ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> > > On Friday, March 13, 2020 5:53 AM, Eli Zaretskii [email-masked] wrote:
> > >
> > > > Ping!
> > > >
> > > > > Date: Sat, 07 Mar 2020 09:43:39 +0200
> > > > > From: Eli Zaretskii [email-masked]
> > > > > Cc: [email-masked]
> > > > >
> > > > > > From: Philipp [email-masked]
> > > > > > Date: Fri, 06 Mar 2020 23:39:16 +0100
> > > > > > In Emacs 26, sql-add-product has the signature
> > > > > > (sql-add-product PRODUCT DISPLAY &rest PLIST)
> > > > > > However, in the Emacs 27 pretest the signature is now
> > > > > > (sql-add-product PRODUCT DISPLAY &optional PLIST)
> > > > > > Note the change from &rest to &optional. This is a breaking change that
> > > > > > breaks all users of sql-add-product. I've found quite a few uses of the
> > > > > > old signature in the wild,
> > > > >
> > > > > Thanks for reporting this.
> > > > > Michael, could you please look into this ASAP? TIA.
> > > > > Btw, this change of a public API is not in NEWS, AFAICT; if we decide
> > > > > eventually on keeping the change, we should announce it in NEWS.
> > >
> > > Sorry for the delay. The massive switch to WFH and illness concerns at home
> > > interfered. All are fine, and I actually do get work done occasionally.
> >
> > No worries, and good to hear that!
> >
> > > I've got the following patch to make. I assume it needs to be made to the
> > > emacs-27 branch and corresponding patches made to master as well. If I
> > > should only commit to master (same change is needed there) for cherry-picking
> > > for emacs-27, let me know.
> >
> > Thanks for the patch! I noticed that it made it to master as commit
> > 82a632edc8b80bf16d9b9f205474bf9724b084c0, but not to emacs-27, are you
> > still planning to backport it?
>
> Yes, it definitely needs to be backported. Eli, what do I need to do to get this
> backported to Emacs 27? This was a bad breaking change to 27 that I fixed after
> the release branch was cut. Let me know if I need to do a separate commit or take
> other action to get this done...
>

Typically you'd cherry-pick the commit onto the release branch. But
since Emacs 27 is about to be released (tomorrow), it might be too
late now.